[PATCH] git-repack: clear out tmp packfiles from $PACKDIR instead of cwd

From: Martin Langhoff <martin@catalyst.net.nz>
Date: 2006-09-04 15:42:16
Temp packfiles should never be created in cwd anyway ;-)

Signed-off-by: Martin Langhoff <martin@catalyst.net.nz>
---
 git-repack.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/git-repack.sh b/git-repack.sh
index ccc8e43..eee0d72 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -24,8 +24,9 @@ do
 	shift
 done
 
-rm -f .tmp-pack-*
 PACKDIR="$GIT_OBJECT_DIRECTORY/pack"
+mkdir -p "$PACKDIR" || exit
+rm -f "$PACKDIR/.tmp-pack-*"
 
 # There will be more repacking strategies to come...
 case ",$all_into_one," in
@@ -43,7 +44,6 @@ case ",$all_into_one," in
 	;;
 esac
 
-mkdir -p "$PACKDIR" || exit
 pack_objects="$pack_objects $local $quiet $no_reuse_delta$extra"
 name=$( { git-rev-list --objects --all $rev_list ||
 	  echo "git-rev-list died with exit code $?"
-- 
1.4.2.gdfe7


-- 
VGER BF report: U 0.983488
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Mon Sep 04 15:42:54 2006

This archive was generated by hypermail 2.1.8 : 2006-09-04 15:43:35 EST